<?php
// Proteção Login
require_once("inc/protecao-admin.php");

// Proteção contra acesso direto
if(!preg_match("/".str_replace("http://","",str_replace("www.","",$_SERVER['HTTP_HOST']))."/i",$_SERVER['HTTP_REFERER'])) {
die("<span class='texto_status_erro'>Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</span>");
}
	
if(empty($_POST["ip"]) or empty($_POST["senha"]) or empty($_POST["porta_ssh"])) {
$_SESSION["status_acao"] = "<div class='alert alert-warning text-center' role='alert'>".lang_info_campos_vazios."</div>";
header("Location: ".$_SERVER['HTTP_REFERER']."");
exit();
}

if(!filter_var($_POST["ip"], FILTER_VALIDATE_IP)) {
$_SESSION["status_acao"] = "<div class='alert alert-warning text-center' role='alert'>".lang_pagina_cadastrar_servidor_resultado_erro_ip."</div>";
header("Location: ".$_SERVER['HTTP_REFERER']."");
exit();
}

mysqli_query($conexao,"INSERT INTO servidores (nome,ip,senha,porta_ssh,tipo,limite_streamings) VALUES ('".$_POST["nome"]."','".$_POST["ip"]."','".code_decode($_POST["senha"],"E")."','".$_POST["porta_ssh"]."','".$_POST["tipo"]."','".$_POST["limite_streamings"]."')") or die("Erro ao processar query.<br>Mensagem do servidor: ".mysqli_error($conexao));

// Loga a ação executada
mysqli_query($conexao,"INSERT INTO logs (acao,data,ip,log) VALUES ('cadastro_servidor',NOW(),'".$_SERVER['REMOTE_ADDR']."','Cadastrado servidor ".$_POST["nome"]." IP ".$_POST["ip"]."')");

// Cria o sessão do status das ações executadas e redireciona.
$_SESSION["status_acao"] = "<div class='alert alert-success text-center' role='alert'>".lang_pagina_cadastrar_servidor_resultado_ok."</div>";

header("Location: /admin/admin-servidores");
?>